package com.brilliance.isc.common.whj.service;

import com.brilliance.isc.esb.model.inner.InnerRes;
import com.brilliance.isc.vo.finance.BlcStoreVo;

public interface WhjBlcInterService {

    /*
    融资申请接口
     */
    InnerRes bankApply(BlcStoreVo blcStoreVo);


    /*
    关单校验/融资校验接口
     */
    InnerRes check(BlcStoreVo blcStoreVo);


    /*
    融资授理拒绝 接口
     */
    InnerRes accept(BlcStoreVo blcStoreVo);


    /*
    放款登记 接口
     */
    InnerRes directPay(BlcStoreVo blcStoreVo);


    /*
    多次还款登记 接口
     */
    InnerRes rec(BlcStoreVo blcStoreVo);


    /*
    一次还款登记 接口
     */
    InnerRes recOnce(BlcStoreVo blcStoreVo);


    /*
    上链失败重试 接口
     */
    InnerRes retry(BlcStoreVo blcStoreVo);


    /*
    放款冲正 接口
     */
    InnerRes correct(BlcStoreVo blcStoreVo);


    /*
    申请废弃 接口
     */
    InnerRes abandon(BlcStoreVo blcStoreVo);


    /*
    详情查询 接口
     */
    InnerRes detail(BlcStoreVo blcStoreVo);
}
